"""
Example
pandas操作MySQL
以pandas.dataframe 插入mysql
"""
from model.DataBaseUtils import MysqlUtils
import pandas as pd
db = MysqlUtils()


li = [["1", "小米", "122", "南京"],
      ["3", "小红", "11", "杭州"],
      ["2", "小绿", "10", "上海"]]
df = pd.DataFrame(li, columns=["id", "name", "age", "city"])


key = ["id"]                                # 抽象主键,不管表里这个是不是主键,都会根据该值来决定是更新还是插入，但是若无该索引，会导致插入速度很慢
tag = ["name", "age", "city"]               # 其他值

db.beauty.insertorupdatemany_v2(
    table='test',
    keys=key,
    tags=tag,
    key_values=df[key],
    tag_values=df[tag],
    flag=False)

# 关闭连接
db.close()


