"""
计划维度日报"""

from model.DataBaseUtils import MysqlUtils
from concurrent.futures import ThreadPoolExecutor
from .TxCostUtils import get_accounts


def run(st, et):
    executor = ThreadPoolExecutor(max_workers=10)
    for account in get_accounts():
	    executor.submit(get_campaign_cost_daily, account[0], account[1], account[3], st, et)
    executor.shutdown()



def get_campaign_cost_daily(account_id, token, st, et):
    """1,获取计划维度日报，把有消耗的计划入库
    2，根据有消耗的计划，拉取计划的基础信息入库
    """


